polygons {sp} | R Documentation

## sets spatial coordinates to create spatial data, or retrieves spatial coordinates

### Description

sets spatial coordinates to create spatial data, or retrieves spatial coordinates

### Usage

    	polygons(obj)
    	polygons(object) <- value

### Arguments

`obj` | object of class "SpatialPolygons" or "SpatialPolygonsDataFrame"
`object` | object of class "data.frame"
`value` | object of class "SpatialPolygons"

### Value

polygons returns the SpatialPolygons of obj; polygons<- promotes a data.frame to a SpatialPolygonsDataFrame object

### Examples

    grd <- GridTopology(c(1,1), c(1,1), c(10,10))
    polys <- as.SpatialPolygons.GridTopology(grd)
    centroids <- coordinates(polys)
    x <- centroids[,1]
    y <- centroids[,2]
    z <- 1.4 + 0.1*x + 0.2*y + 0.002*x*x
    df <- data.frame(x=x, y=y, z=z, row.names=row.names(polys))
    polygons(df) <- polys
    class(df)
    summary(df)

[Package sp version 1.2-3 Index]